package com.hardcode.driverManager;

/**
 * <p>Interface that must be implemented by all driver managers.</p>
 *
 * @author Fernando Gonzlez Corts
 */
public interface Driver {
//  /**
//  * <p>Returns the object associated to the driver manager. It's recommended this object to be an <code>String</code> .</p>
//  * 
//  * <p><code>DriverManager</code> receives requests from an object, and should return the driver
//  *  associated.</p>
//  *
//  * ---------------
//  * Debe devolver un objeto que se asociar en el manager al driver. El
//  * DriverManager recibir peticiones de un objeto y deber devolver el
//  * driver asociado
//  *
//  * @return Objeto asociado al driver. Se recomienda que sea un String
//  * @return Object associated to the driver. It's recommended to be an <code>String</code>
//  */
	
	/**
	 * Gets the name of the driver.
	 * 
	 * @return this driver's name
	 */
    public String getName();
    
}
