package com.iver.cit.gvsig.fmap.operations.strategies;

import com.iver.cit.gvsig.fmap.core.IGeometry;
import com.iver.cit.gvsig.fmap.core.ISymbol;

public interface ExtendsFeatureVisitor extends FeatureVisitor {
	/**
	 * Recibe las geometras con su smbolo correpondiente
	 *
	 * @param g Geometra que se recorre
	 * @param index ndice de la geometra
	 * @param symbol Symbol associated to feature
	 *
	 * @throws VisitException 
	 */
	void visitWithSymbol(IGeometry g, int index, ISymbol symbol) throws VisitException;

}
