package com.iver.cit.gvsig.gui;

import com.iver.cit.gvsig.fmap.layers.FLayer;

/**
 * @author fjp
 *
 * Interfaz que se usa por las nuevas capas que necesiten definir
 * una capa que todava no existe en gvSIG.
 * Para usarlo, en una extensin aparter, se define un JPanel
 * que implemente este interfaz, y luego se aade al Wizard 
 * correspondiente.
 * Por ejemplo, cuando se crea una nueva capa, existe un Wizard
 * del tipo JWizardComponents en la clase NewTheme de extCAD
 * (o extEdition, como quiera que se llame al final)
 */
public interface ILayerPanel {

	public FLayer getLayer();

}