#!/bin/sh
# gvSIG.sh

## you can set the JAVA_HOME variable here:
JAVA_HOME=$JAVA_HOME

GVSIG_SH_FILE=`readlink -f "$0"`
GVSIG_WORKSPACE=`dirname "$GVSIG_SH_FILE"`
DEP="$GVSIG_WORKSPACE/binaries/linux"
cd "$GVSIG_WORKSPACE/_fwAndami"
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DEP

if [ "$JAVA_HOME" != "" ];
then
	myJAVACMD="$JAVA_HOME/bin/java"
else
	myJAVACMD=`which java`
	if [ "$myJAVACMD" = "" ];
	 then
		echo "$0: JAVA Command not found"
		echo "	* you can set the JAVA_HOME into this file:"
		echo $GVSIG_SH_FILE
		exit 1
	fi;
fi;


"$myJAVACMD" -Djava.library.path=$LD_LIBRARY_PATH -cp andami.jar:lib/beans.jar:./lib/castor-0.9.5.3-xml.jar:./lib/crimson.jar:./lib/gvsig-i18n.jar:./lib/iver-utiles.jar:./lib/javaws.jar:lib/JWizardComponent.jar:./lib/log4j-1.2.8.jar:lib/looks-2.0.2.jar:./lib/xerces_2_5_0.jar:./lib/xml-apis.jar:./lib/kxml2.jar:./lib/jcalendar.jar:./lib/jh.jar -Xmx500M com.iver.andami.Launcher gvSIG gvSIG/extensiones "$@"
