package org.cresques.ui.raster;

import javax.swing.JComboBox;
import javax.swing.JTextField;

/**
 * Clase que representa a un combo obtenido a partir del XML
 * que manda un driver de escritura.
 *
 * @author Nacho Brodin <brodin_ign@gva.es>
 *
 */
public class XMLCombo extends JComboBox {
    final private static long serialVersionUID = -3370601314380922368L;
    public int numPanel = -1;
    public int posIntoPanel = -1;
    public String position = null;
    public String selected = null;
    public int sizex = 0;
    public int sizey = 0;
    public String id = null;

    /**
     * Inicializacin del XMLCombo
     */
    public void init() {
        if ((sizex != 0) && (sizey != 0)) {
            this.setPreferredSize(new java.awt.Dimension(sizex, sizey));
        }

        if (selected != null) {
            this.setSelectedItem(selected);
        }
    }
}