package com.hardcode.driverManager.pruebas;

import com.hardcode.driverManager.AbstractDriver;

/**
 * @author Fernando Gonzlez Corts
 */
public class NumericAdderDriver extends AbstractDriver implements Adder{

	/**
	 * @see com.hardcode.driverManager.pruebas.Adder#add(java.lang.String, java.lang.String)
	 */
	public String add(String a, String b) {
		return new Integer(new Integer(a).intValue() + new Integer(b).intValue()).toString();
	}

	/**
	 * @see com.hardcode.driverManager.Driver#getName()
	 */
	public String getName() {
		return "drivers para nmeros del Fernan";
	}

}
