/*
 * Created on 06-sep-2006
 *
 * gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
/* CVS MESSAGES:
 *
 * $Id: DriverJdbcNotFoundExceptionType.java 8767 2006-11-15 04:11:32Z jjdelcerro $
 * $Log$
 * Revision 1.1.2.1  2006-11-15 04:11:12  jjdelcerro
 * *** empty log message ***
 *
 * Revision 1.1  2006/09/21 17:18:31  azabala
 * First version in cvs
 *
 *
 */
package com.iver.cit.gvsig.fmap;

import com.iver.utiles.ExceptionDescription;

public class DriverJdbcNotFoundExceptionType extends ExceptionDescription {

	String driverJdbcClassName;
	private String layerName;

	public String getDriverJdbcClassName() {
		return driverJdbcClassName;
	}

	public void setDriverJdbcClassName(String driverJdbcClassName) {
		this.driverJdbcClassName = driverJdbcClassName;
	}

	public DriverJdbcNotFoundExceptionType() {
		super(300, "Clase del driver JDBC no encontrada");
	}

	public String getHtmlErrorMessage() {
		return "<b>Error: no se ha encontrado el driver JDBC "+
		driverJdbcClassName+" al intentar cargar la capa "+
		layerName+"<b><br>";
	}

	public void setLayerName(String tableName) {
		this.layerName = tableName;
	}

}
