package com.iver.cit.gvsig.fmap;

import java.awt.geom.Rectangle2D;

import org.cresques.cts.IProjection;

public class ProjectionEvent extends FMapEvent {
	private IProjection newProyection;
	private static final int PROJECTION_EVENT = 0;

	public static ProjectionEvent createProjectionEvent(IProjection proj){
		return new ProjectionEvent(proj, PROJECTION_EVENT);
	}
	/**
	 * Crea un nuevo ExtentEvent.
	 *
	 * @param r Extent.
	 */
	private ProjectionEvent(IProjection proj, int eventType) {
		setEventType(eventType);
		newProyection = proj;
	}

	/**
	 * Devuelve el nuevo extent.
	 *
	 * @return Extent.
	 */
	public IProjection getNewProjection() {
		return newProyection;
	}
}
