package com.iver.utiles;

import java.sql.Types;


public class NumberUtilities {
	/**
	 * Useful to know how you have to compose a SQL insert or update
	 * for example.
	 * @param sqlType Ssee java.sql.Types
	 * @return
	 */
	public static boolean isNumeric(int sqlType) {

		switch (sqlType) {
		case Types.DOUBLE:
		case Types.FLOAT:
		case Types.INTEGER:
		case Types.SMALLINT:
		case Types.BIGINT:
		case Types.NUMERIC:
		case Types.REAL:
		case Types.TINYINT:
			return true;
		}

		return false;
	}
	public static boolean isNumericInteger(int sqlType) {

		switch (sqlType) {
		
		case Types.INTEGER:
		case Types.SMALLINT:
		case Types.BIGINT:
		case Types.TINYINT:
			return true;
		}

		return false;
	}

}
